#
# spec file for package flowblade
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           flowblade
Version:        2.18.1
Release:        1699.4.pm.1
Summary:        Multitrack non-linear video editor
License:        GPL-3.0-only
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://jliljebl.github.io/flowblade
Source0:        %name-%version.tar
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  pkgconfig(python3)
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
Requires:       ffmpeg
Requires:       frei0r-plugins
Requires:       ladspa
Requires:       ladspa-swh-plugins
Requires:       libmlt7-data
Requires:       libmlt7-modules
Requires:       python3-Pillow
Requires:       python3-cairo
Requires:       python3-gobject
Requires:       python3-gobject-Gdk
Requires:       python3-libusb1
Requires:       python3-mlt
Requires:       python3-numpy
Requires:       sox

%description
Flowblade is designed to provide a fast, precise and robust editing experience.

In Flowblade clips are usually automatically placed tightly after or between
clips when they are inserted on the timeline. Edits are fine tuned by trimming
in and out points of clips, or by cutting and deleting parts of clips.

Flowblade provides powerful tools to mix and filter video and audio.

%lang_package

%prep
%autosetup -p1

%build
pushd flowblade-trunk
sed -i~ 's|%_datadir/pyshared|%python3_sitelib|' %name
diff -u "$_"~ "$_" && exit 1
%python3_build
popd

%install
pushd flowblade-trunk
%python3_install
mkdir -p %buildroot%_datadir/locale
mv %buildroot{%python3_sitelib/Flowblade/locale/*,%_datadir/locale/}
find %buildroot -type f -name "*.po*" -delete -print
rm -rfv %buildroot%_prefix/lib/mime
popd
%fdupes %buildroot%python3_sitelib
%find_lang %name

%files
%license LICENSE
%doc flowblade-trunk/docs/RELEASE_NOTES.md
%_bindir/*
%_datadir/applications/*.desktop
%_datadir/icons/*
%_datadir/metainfo/*.xml
%_datadir/mime/packages/*.xml
%_mandir/man?/*
%python3_sitelib/Flowblade/
%python3_sitelib/%name-*-info

%files lang -f %name.lang

%changelog
* Mon Mar  3 2025 olaf@aepfle.de
- Update to 2.18.1
* Sun Apr  1 2018 avvissu@yandex.by
- Update to 1.16:
  * see /usr/share/doc/packages/flowblade/RELEASE_NOTES
- Change the home page
- Refresh dependencies
- Fix: non-executable-script
- Spec file cleanup
* Wed Oct  4 2017 avvissu@yandex.by
- Update to 1.14:
  * see /usr/share/doc/packages/flowblade/RELEASE_NOTES
- Use python-gobject-Gdk instead of python-gobject
* Tue Mar 21 2017 avvissu@yandex.by
- Update to 1.12.2:
  * see /usr/share/doc/packages/flowblade/RELEASE_NOTES
* Thu Jan 12 2017 avvissu@yandex.by
- Update to 1.10:
  * see /usr/share/docpackages/flowblade/RELEASE_NOTES
- Check list of dependencies
* Sat Oct 22 2016 avvissu@yandex.by
- Update to 1.8:
  * see /usr/share/docpackages/flowblade/RELEASE_NOTES
* Tue Jan 26 2016 avvissu@yandex.ru
- Update to 1.4:
  * see /usr/share/docpackages/flowblade/RELEASE_NOTES
- Dropped dependencies: python-gnome python-gtk
- Add dependencies: python-gobject
- Remove MIME-type from /usr/lib/mime/packages/
* Wed Mar  4 2015 avvissu@yandex.ru
- Initial release
